{{ define "navbar" }}
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="/{{ .Lang }}/about">{{ index .Translation "Title"}}</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor03" aria-controls="navbarColor03" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarColor03">
    <ul class="navbar-nav mr-auto">
        <li class="nav-item {{ if eq .Route "info"}}active{{ end }}">
            <a class="nav-link" href="/{{ .Lang }}/info">{{ index .Translation "Tournament" }}{{ if eq .Route "info"}}<span class="sr-only">(current)</span>{{ end }}</a>
        </li>
    </ul>
    <ul class="nav navbar-nav navbar-right margin-right">
    	<li class="nav-item {{ if eq .Route "signup"}}active{{ end }}">
    		<a class="nav-link" href="/{{ .Lang }}/signup">{{ index .Translation "SignUp" }}{{ if eq .Route "signup"}}<span class="sr-only">(current)</span>{{ end }}</a>
    	</li>
    	<li class="nav-item {{ if eq .Route "login"}}active{{ end }}">
    		<a class="nav-link" href="/{{ .Lang }}/login">{{ index .Translation "Login" }}{{ if eq .Route "login"}}<span class="sr-only">(current)</span>{{ end }}</a>
    	</li>
    </ul>
    <ul class="nav navbar-nav navbar-right">
    	<li class="nav-item {{ if eq .Lang "en" }}active{{ end }}">
    		<a class="nav-link" href="/en/{{ .Route }}">EN {{ if eq .Lang "en" }} <span class="sr-only">(current)</span>{{ end }}</a>
    	</li>
    	<li class="nav-item {{ if eq .Lang "fi" }} active{{ end }}">
    		<a class="nav-link" href="/fi/{{ .Route }}">FI {{ if eq .Lang "fi" }} <span class="sr-only">(current)</span>{{ end }}</a>
    	</li>
    	<li class="nav-item {{ if eq .Lang "sv" }} active{{ end }}">
    		<a class="nav-link" href="/sv/{{ .Route }}">SV {{ if eq .Lang "sv" }} <span class="sr-only">(current)</span>{{ end }}</a>
    	</li>
    </ul>
  </div>
</nav>
{{ end }}
